classification
Title: Add snake example to turtledemo
Type: enhancement Stage: needs patch
Components: Library (Lib) Versions: Python 3.10
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: Ehsonjon Gadoev, epaine, gregorlingl, terry.reedy, willingc
Priority: normal Keywords: patch

Created on 2020-07-24 07:13 by Ehsonjon Gadoev, last changed 2020-07-28 21:58 by terry.reedy.

Pull Requests
URL Status Linked Edit
PR 21582 closed Ehsonjon Gadoev, 2020-07-24 07:17
Messages (9)
msg374163 - (view) Author: Ehsonjon Gadoev (Ehsonjon Gadoev) * Date: 2020-07-24 07:13
Created simple and basic snake game using python turtle!
We use the simplest algorithm to made it!
It will be good example for beginners!
msg374172 - (view) Author: E. Paine (epaine) * Date: 2020-07-24 11:36
@Ehsonjon Gadoev, thank you for the patch. I would appreciate if you could explain in a little more detail why you think adding this example would be beneficial to the CPython project, as it would inevitably increase the maintenance load on the core-devs (please don't take this personally: any new code would do this).
msg374203 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-07-24 19:03
There already is a decent set of examples. I think a Snake game is a worthy addition.
msg374242 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-25 05:27
It has been awhile since we added anything to turtledemo, so this is plausible.  It might be more interesting than some of the others.  I will take a look.

Until I do, I won't worry about maintenance.  I and someone else fixed up the driver in summer 2014 and I then reviewed and corrected bugs in the examples.  There has only been trivial changes since.

Some requirements for turtledemo files are listed in turtledemo.__main__.  Ehsonjon, did you read these and do you think your code complies?
msg374243 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-25 05:28
Ehsonjon, 'fixed' means the the PR has be merged.
msg374317 - (view) Author: Ehsonjon Gadoev (Ehsonjon Gadoev) * Date: 2020-07-26 15:01
@gvanrossum, Can you merge my pull requests?
msg374322 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2020-07-26 15:15
Ehsonjon, please do not remove people from the nosy list.
msg374512 - (view) Author: Ehsonjon Gadoev (Ehsonjon Gadoev) * Date: 2020-07-28 17:44
Moved to https://bugs.python.org/issue41418
msg374525 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-28 20:12
From the closed PR: "I'll delete it from turtledemo and it will be at tools/demo file!"

No! turtledemo was in tools/demo in 2.x, where hardly anyone saw it.  It was made into an importable module in 3.0.  A link was later added to the IDLE help menu.  I oppose adding any turtle demos back to tools/demo.  I would rather pull the few tkinter demos into a tkinter.demo subdirectory.
History
Date User Action Args
2020-07-28 21:58:13terry.reedysetstage: patch review -> needs patch
2020-07-28 21:55:59terry.reedylinkissue41418 superseder
2020-07-28 20:12:12terry.reedysetmessages: + msg374525
2020-07-28 17:44:22Ehsonjon Gadoevsetmessages: + msg374512
2020-07-26 16:00:39SilentGhostsetnosy: - SilentGhost
2020-07-26 15:33:20gvanrossumsetnosy: - gvanrossum
2020-07-26 15:15:31SilentGhostsetversions: + Python 3.10
nosy: + gregorlingl, willingc, terry.reedy, SilentGhost, epaine

messages: + msg374322

components: + Library (Lib)
type: enhancement
2020-07-26 15:01:55Ehsonjon Gadoevsetversions: - Python 3.10
nosy: - terry.reedy, gregorlingl, willingc, epaine

messages: + msg374317

components: - Library (Lib)
type: enhancement -> (no value)
2020-07-25 05:28:44terry.reedysetresolution: fixed ->
messages: + msg374243
2020-07-25 05:27:07terry.reedysetassignee: terry.reedy

messages: + msg374242
nosy: + terry.reedy
2020-07-24 19:03:56gvanrossumsetnosy: + gvanrossum
messages: + msg374203
2020-07-24 11:36:38epainesettype: enhancement
title: Create snake.py -> Add snake example to turtledemo
components: + Library (Lib), - Tkinter
versions: + Python 3.10, - Python 3.9
nosy: + gregorlingl, willingc, epaine

messages: + msg374172
2020-07-24 07:17:22Ehsonjon Gadoevsetkeywords: + patch
stage: patch review
pull_requests: + pull_request20744
2020-07-24 07:13:47Ehsonjon Gadoevsetresolution: fixed
2020-07-24 07:13:31Ehsonjon Gadoevcreate